<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class CreateRetoRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'nombre' => 'required|max:400|string',
            'descripcion' => 'nullable|max:600|string',
            'tipo_reto' => 'required|string|in:cantidad,dinero',
            'tipo_participante' => ['required', 'max:500', 'string', Rule::in(['tendero', 'repartidor'])],
            'user_id' => 'required|integer|exists:users,id',
            'file_id' => 'integer|required|exists:files,id',
            'productos' => 'required|array',
            'productos.*.id' => 'required|integer|exists:productos,id',
            'niveles' => 'required|array',
            'niveles.*.nombre' => "required|max:300|string",
            'niveles.*.meta' => "required|integer",
            'niveles.*.puntos' => "required|integer",
            'niveles.*.fecha_inicio' => "required|date",
            'niveles.*.fecha_fin' => "required|date|after_or_equal:fecha_inicio",
            'niveles.*.insignia_id' =>  'required|integer|exists:insignias,id',
        ];
    }

    public $validator = null;
    protected function failedValidation(\Illuminate\Contracts\Validation\Validator $validator)
    {
        $this->validator = $validator;
    }
}
