<?php

namespace App\Interfaces;

use App\Dto\RetoDto;

interface RetoInterface
{
    public function allRetos();
    public function findRetosByTypePlayer(string $tipoReto);
    public function findRetosVigentesByPlayer(string $idPlayer);
    public function findRetosByPlayer(string $idPlayer);
    public function findDetailRetoByPlayer(string $idReto, string $idPlayer);
    public function detailReto(string $idReto);
    public function filterRetosWithProductAndPlayer(string $idPlayer, $listProductsId);
    public function filterRetosWhereNotProducts(string $idReto, $listProdutsId);
    public function filterRetosWhereNotPlayers(string $idReto, $listPlayers);
    public function existRetoWithEvidencia(string $idReto, string $evidenciaId);
    public function existRetoWithProduct(string $idReto, string $idProducto);
    public function existRetoWithPlayer(string $idReto, string $participanteId);
    public function findAvanceRetosWithRol(string $rol);
    public function createReto(RetoDto $retoDto);
    public function createRetoRelationProducto(string $idReto, string $idProducto);
    public function updateReto(RetoDto $retoDto, string $idReto);
    public function deleteRelationRetoProduct(string $idRetoProduct);
    public function deleteReto(string $idReto);
    public function deleteRelationRetoPlayer(string $idRetoPlayer);
}
