<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Canje extends Model
{
    use HasFactory;
    protected $guarded = [];

    protected $fillable = [
        'puntos_canjeados',
        'participante_id',
        'recompensa_id',
        'proceso_estatus',
        'fecha_canje'
    ];

    protected static function boot()
    {
        parent::boot();

        static::creating(function ($caje) {
            $ultimoCanje = static::latest()->first();
            $numeroCanje = $ultimoCanje ? str_pad($ultimoCanje->id + 1, 4, '0', STR_PAD_LEFT) : '0001';
            $caje->numero_canje = $numeroCanje;
        });
    }

    public function recompensa()
    {
        return $this->belongsTo(Recompensa::class, 'recompensa_id', 'id');
    }

    public function participante()
    {
        return $this->belongsTo(Participante::class, 'participante_id', 'id');
    }
}
