<?php

namespace App\Models;

use App\Traits\SecureDelete;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class EvidenciaRegistro extends Model
{
    use HasFactory;
    use SecureDelete;

    protected $fillable = [
        'precio_producto',
        'cantidad',
        'monto',
        'evidencia_id',
        'producto_id'
    ];

    /**
     * obtiene el producto relacionado
     */
    public function producto()
    {
        return $this->belongsTo(Producto::class, 'producto_id', 'id');
    }

     /**
     * obtiene la evidencia al que pertenece
     */
    public function evidencia_detail()
    {
        return $this->belongsTo(Evidencia::class, 'evidencia_id', 'id');
    }
}
