<?php

namespace App\Repositories;

use App\Dto\FileDto;
use App\Interfaces\FileInterface;
use App\Models\File;

class FileRepository implements FileInterface
{
    public function allFilesByUser(string $idUser){
        $files = File::where("user_id", $idUser)
        ->get();
        return $files;
    }

    public function createFile(FileDto $fileDto){
        $fileNew = File::create([
            "nombre" => $fileDto->nombre,
            "path" => $fileDto->path,
            "type" => $fileDto->type,
            'size' => $fileDto->size,
            "user_id" => $fileDto->userId,
        ]);
        $fileDto->id = $fileNew->id;
        return $fileDto;
    }

    public function countFileWithNameRepeat(string $nameSimple, string $extension, string $userId) : int{
        $countFile = File::where('nombre', 'like', '%' . $nameSimple . '%')
                ->where('type', '=', $extension)
                ->where("user_id", "=", $userId)
                ->count();
        return $countFile;
    }

    public function deleteFile(string $idFile){
        $fileDelete = File::findOrFail($idFile);
        $fileDelete->delete();
    }
}
