<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRetosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('retos', function (Blueprint $table) {
            $table->increments('id');
            $table->string('nombre', 500);
            $table->longText('descripcion');
            $table->string('tipo_reto', 300);
            $table->boolean('estatus')->default(1);
            $table->timestamps();

            $table->integer('user_id')->nullable()->unsigned();
            //relacion a la tabla usuarios
            $table->foreign('user_id')
                ->references('id')
                ->on('users')->nullOnDelete();

            //relacion a la tabla file
            $table->integer('file_id')->nullable()->unsigned();
            $table->foreign('file_id')
                ->references('id')
                ->on('files')->nullOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('retos');
    }
}
