<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class RemoveRecompensaToInsignias extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('insignias', function (Blueprint $table) {
            $table->dropForeign(['file_id_premio']);
            $table->dropColumn('descripcion_premio');
            $table->dropColumn('file_id_premio');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('insignias', function (Blueprint $table) {
            $table->longText('descripcion_premio');
            //relacion a la tabla file img premio
            $table->integer('file_id_premio')->nullable()->unsigned();
            $table->foreign('file_id_premio')
                ->references('id')
                ->on('files')->nullOnDelete();
        });
    }
}
